Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Gregory Heytings <[email-masked]>
Date: Sat, 01 May 2021 00:00:44 +0000

>
> Have you read the comments?
>

Of course I did.

>
> People complain about macOS behavior, and the first proposed "fix" was 
> to make it work close to how it works on GNU/Linux (except flashing the 
> mode-line, probably because that is easier to implement).
>

And the fix used by the author of the issue, and agreed with by the one 
who suggested that "first proposed fix", is to turn visible-bell off.

Anyway, I fear this discussion will never end.  I proposed a patch, I'd 
suggest you propose another one that does what you think would be TRT.